Firefox 5 plz Rated 5 out of 5 stars

Please support firefox 5

Rated 5 out of 5 stars

i like this addons. it's very simple :x
and please support ff 3.6 . i miss this addons verry much :'(
sorry for my english.

Its works perfectly in Firefox 3 Rated 5 out of 5 stars

I change the versions for this add on to FireFox 3.0.* ^^! Its works perfectly in Firefox 3 as far as I can tell.
And you can down load form here: http://www.mediafire.com/?lxetmlbdfst
-=Wjz=-

This review is for a previous version of the add-on (2.0).